//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007-2008)
//
//      Данный файл является частью Darkstar Engine. Любое использование кода файла
//      без согласия компании, является нарушением закона об авторском праве (в слу-
//      чае если не оговорено обратное).
//
//      Имя файла: shader_include_common.cpp
//      Краткое описание: class for implement include files in shader
//

#include <Darkstar/Graphic System/Effect/shader_compiler.hpp>

using gs::ShaderCompiler;

ShaderCompiler::ShaderCompiler()
{
	error_data = NULL;
	error_data_size = 0;
	shader_code = NULL;
	shader_code_size = 0;
};

ShaderCompiler::~ShaderCompiler()
{

};

char* ShaderCompiler::getErrors() const
{
	return error_data;
};

void* ShaderCompiler::getCompiledCode() const
{
	return shader_code;
};

unsigned int ShaderCompiler::getCodeSize() const
{
	return shader_code_size;
};